Page MenuHomePhabricator

Vagrant has detected a configuration issue which exposes a vulnerability with the installed version of VirtualBox
Closed, DuplicatePublic

Description

Just noticed this when creating a fresh VM:

$ vagrant up
Bringing machine 'default' up with 'virtualbox' provider...
==> default: Importing base box 'debian/contrib-stretch64'...
==> default: Matching MAC address for NAT networking...
==> default: Checking if box 'debian/contrib-stretch64' is up to date...
==> default: Setting the name of the VM: vagrant_default_1543515804334_35381
==> default: Vagrant has detected a configuration issue which exposes a
==> default: vulnerability with the installed version of VirtualBox. The
==> default: current guest is configured to use an E1000 NIC type for a
==> default: network adapter which is vulnerable in this version of VirtualBox.
==> default: Ensure the guest is trusted to use this configuration or update
==> default: the NIC type using one of the methods below:
==> default: 
==> default:   https://www.vagrantup.com/docs/virtualbox/configuration.html#default-nic-type
==> default:   https://www.vagrantup.com/docs/virtualbox/networking.html#virtualbox-nic-type
...

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2018, 6:40 PM
Reedy triaged this task as Lowest priority.Dec 25 2018, 10:43 AM
Reedy added a subscriber: Reedy.

Which version? Is it still there on newer versions? :p

zeljkofilipin closed this task as Resolved.Jan 16 2019, 4:19 PM
zeljkofilipin claimed this task.

Upgrading to the latest versions of vagrant and virtualbox fixed it.